import { LambdaSequence } from "aws-orchestrate";
import { INetlifyDeployListItem } from "../netlify/types";
declare type IFunctionConfig = import("do-devops").IFunctionConfig;
export interface IMsgDeployListRequest {
    data: INetlifyDeployListItem[];
    branch?: string;
    limit?: number;
}
export interface IMsgDeployListResponse {
    sequence: LambdaSequence;
    branch: string;
    limit: number;
    data: Partial<INetlifyDeployListItem>[];
}
export declare const config: IFunctionConfig;
export declare const handler: (event: import("aws-orchestrate").IAwsLambdaEvent<IMsgDeployListRequest>, context: import("aws-orchestrate").IAWSLambaContext) => Promise<string | IMsgDeployListResponse>;
export {};
