import { IHandlerFunction } from "aws-orchestrate";
import { INetlifyDeploySite } from "./types";
declare type IFunctionConfig = import("do-devops").IFunctionConfig;
export interface INetlifyDeployedBranchesRequest {
    accessToken?: string;
}
export interface INetlifyDeployedBranchesResponse {
    data: INetlifyDeploySite[];
}
export declare const config: IFunctionConfig;
export declare const fn: IHandlerFunction<INetlifyDeployedBranchesRequest, INetlifyDeployedBranchesResponse>;
export declare const handler: (event: import("common-types").IAwsLambdaEvent<INetlifyDeployedBranchesRequest>, context: import("common-types").IAWSLambaContext) => Promise<string | INetlifyDeployedBranchesResponse>;
export {};
