"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function reducedGateway(apiGateway) {
    return apiGateway
        ? {
            apiGateway: {
                httpMethod: apiGateway.httpMethod,
                reqContext: apiGateway.requestContext,
                queryParams: apiGateway.queryStringParameters,
                pathParams: apiGateway.pathParameters,
                requestTime: apiGateway.requestContext.requestTime,
                identity: apiGateway.requestContext.identity
            }
        }
        : undefined;
}
exports.reducedGateway = reducedGateway;
