import { INetlifyDeployListItem } from "./types";
import { IHandlerFunction } from "aws-orchestrate";
declare type IFunctionConfig = import("do-devops").IFunctionConfig;
export interface INetlifyDeployListRequest {
    siteId?: string;
    accessToken?: string;
}
export interface INetlifyDeployListResponse {
    data: INetlifyDeployListItem[];
}
export declare const config: IFunctionConfig;
export declare const fn: IHandlerFunction<INetlifyDeployListRequest, any>;
export declare const handler: (event: import("aws-orchestrate").IAwsLambdaEvent<INetlifyDeployListRequest>, context: import("aws-orchestrate").IAWSLambaContext) => Promise<any>;
export {};
