import { IAWSLambdaProxyIntegrationRequest, RestMethod } from "common-types";
export interface IReducedGateway {
    apiGateway: {
        httpMethod: RestMethod;
        reqContext: IAWSLambdaProxyIntegrationRequest["requestContext"];
        queryParams: any;
        pathParams: any;
        requestTime: string;
        identity: IAWSLambdaProxyIntegrationRequest["requestContext"]["identity"];
    };
}
export declare function reducedGateway(apiGateway: IAWSLambdaProxyIntegrationRequest): IReducedGateway;
