"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function whitelist(...whitelist) {
    return (hash) => {
        return Object.keys(hash).reduce((acc, curr) => {
            if (whitelist.includes(curr)) {
                acc[curr] = hash[curr];
            }
            return acc;
        }, {});
    };
}
exports.whitelist = whitelist;
